Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.twitterapime.rest
Class GeoLocation

    java.lang.Object
      com.twitterapime.model.DefaultEntity
          com.twitterapime.rest.GeoLocation

All Implemented Interfaces:
  Entity

    public class GeoLocation

extends DefaultEntity

This class defines an entity that represents a geographic location.

Since:
  1.4
Version:
  1.0
Author:
  Ernandes Mourao Junior (ernandes@gmail.com)
See Also:
  `Tweet`

Field Summary

Fields inherited from class com.twitterapime.model.DefaultEntity
`data`

Constructor Summary
`GeoLocation()` Create an instance of GeoLocation class.
`GeoLocation(java.util.Hashtable data)` Create an instance of GeoLocation class.
`GeoLocation(java.lang.String placeID)` Create an instance of GeoLocation class.
`GeoLocation(java.lang.String latitude, java.lang.String longitude)` Create an instance of GeoLocation class.

Method Summary

Methods inherited from class com.twitterapime.model.DefaultEntity
`equals, getArray, getDate, getInt, getLong, getObject, getString, hashCode, setData, setData, size, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeoLocation

    public GeoLocation()

  Create an instance of GeoLocation class.

### GeoLocation

    public GeoLocation(java.util.Hashtable data)

  Create an instance of GeoLocation class.

  Parameters:
    `data` - The initial attributes/values.

### GeoLocation

    public GeoLocation(java.lang.String placeID)

  Create an instance of GeoLocation class.

  Parameters:
    `placeID` - Place ID.
  Throws:
    `java.lang.IllegalArgumentException` - If placeID is null/empty.

### GeoLocation

    public GeoLocation(java.lang.String latitude,
                       java.lang.String longitude)

  Create an instance of GeoLocation class.

  Parameters:
    `latitude` - Latitude. Must be between -90.0 and +90.0.
    `longitude` - Longitude. Must be between -180.0 to +180.0.
  Throws:
    `java.lang.IllegalArgumentException` - If latitude/longitude is null/empty.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Twitter API ME Team. All Rights Reserved.